=== pics/CMakeLists.txt ===
qt5_add_resources(pics_SRCS pics.qrc)
add_library(pics OBJECT ${pics_SRCS})
