=== debian/changelog ===
ktimetracker (4:5.0.1-3) unstable; urgency=medium

  * Disable the fixfilepath reproducibility feature, as it breaks
    QFINDTESTDATA. (Closes: #980681)
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2021 11:59:34 +0100

ktimetracker (4:5.0.1-2) unstable; urgency=medium

  * Backport upstream commit 310c0fee25f142c6f6a0e7a0b4445af2e8785c79 to fix
    formatTime() on 32bit architectures; patch
    upstream_Fix-formatTime-in-non-decimal-mode-on-32bit-archs.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Oct 2020 11:11:09 +0200

ktimetracker (4:5.0.1-1) unstable; urgency=medium

  * Initial release as independent application.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Oct 2020 10:56:01 +0200
