=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = reproducible=-fixfilepath

%:
	dh $@ --with kf5

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test
