=== debian/tests/control ===
Tests: run-python-test
Depends: @, dbus-x11, psmisc, python3, python3-pytest, pytest-benchmark, python3-pydbus, python3-webdav, xauth, xvfb
Restrictions: rw-build-tree
