=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/ktimetracker/([\d\.]+)/src/ktimetracker-([\d\.]+)\.tar\.xz
