## ktimetracker 5.0.1+p24.04+vstable+git20250926.1144

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20250926.1144-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:44:07 +0000
