=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20251013.0335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 03:35:54 +0000
