=== debian/control ===
Source: ktimetracker
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextwidgets-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kpim6-calendarsupport-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/KTimeTracker
Vcs-Git: https://invent.kde.org/neon/extras/ktimetracker.git
Vcs-Browser: https://invent.kde.org/neon/extras/ktimetracker
Maintainer: Neon CI <neon@kde.org>

Package: ktimetracker
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: time tracker tool
 KTimetracker is a time tracker for busy people who need to keep track
 of the amount of time they spend on various tasks.
