## ktimetracker 5.0.1+p24.04+vstable+git20251213.0603

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20251213.0603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 13 Dec 2025 06:03:50 +0000
