## ktimetracker 5.0.1+p24.04+vstable+git20251224.0903

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20251224.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:03:51 +0000
