## ktimetracker 5.0.1+p24.04+vstable+git20260107.0748

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20260107.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 07:48:33 +0000
