## ktimetracker 5.0.1+p24.04+vstable+git20260113.0714

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20260113.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 07:14:46 +0000
