## ktimetracker 5.0.1+p24.04+vstable+git20260130.1255

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20260130.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:55:16 +0000
