## ktimetracker 5.0.1+p24.04+vstable+git20260131.0344

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vstable+git20260131.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:44:42 +0000
