## ktimetracker 5.0.1+p24.04+vunstable+git20251013.1209

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vunstable+git20251013.1209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 12:09:33 +0000
