## ktimetracker 5.0.1+p24.04+vunstable+git20251020.1356

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vunstable+git20251020.1356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:56:57 +0000
