## ktimetracker 5.0.1+p24.04+vunstable+git20251123.1126

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vunstable+git20251123.1126-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:26:55 +0000
