## ktimetracker 5.0.1+p24.04+vunstable+git20251201.0313

=== debian/changelog ===
ktimetracker (4:5.0.1+p24.04+vunstable+git20251201.0313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:14:00 +0000
