## ktimetracker 6.0.0

=== debian/changelog ===
ktimetracker (4:6.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Switch to Qt6 and KF6 build.
  * debian/rules: Use kf6 buildsystem.
  * debian/patches: Drop patches, no longer applicable.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Nov 2025 19:10:12 -0500
