=== debian/control ===
Source: ktimetracker
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.54.0~),
               gettext,
               pkg-kde-tools (>= 0.15.16),
               qt6-base-dev,
               qt6-5compat-dev,
               qt6-svg-dev,
               libkf6config-dev,
               libkf6dbusaddons-dev,
               libkf6kio-dev,
               libkf6idletime-dev,
               libkf6jobwidgets-dev,
               libkf6doctools-dev,
               libkf6notifications-dev,
               libkf6statusnotifieritem-dev,
               libkf6xmlgui-dev,
               libkf6textwidgets-dev,
               libkf6iconthemes-dev,
               libkf6coreaddons-dev,
               libkf6kcmutils-dev,
               libkf6crash-dev,
               libkf6calendarcore-dev,
               libkf6i18n-dev,
               xauth,
               xvfb,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://userbase.kde.org/KTimeTracker
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktimetracker.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktimetracker

Package: ktimetracker
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: time tracker tool
 KTimetracker is a time tracker for busy people who need to keep track
 of the amount of time they spend on various tasks.
