=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = reproducible=-fixfilepath
 
 %:
-	dh $@ --with kf5
+	dh $@ --with kf6
 
 override_dh_auto_test:
 	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test
